com.versionone.apiclient

## Class V1Configuration

- java.lang.Object
- - com.versionone.apiclient.V1Configuration

- All Implemented Interfaces:
    IV1Configuration

      public class V1Configuration
      extends Object
      implements IV1Configuration

  Class to access to VersionOne server configuration

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.versionone.apiclient.interfaces.IV1Configuration

      `IV1Configuration.TrackingLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `V1Configuration(IAPIConnector connector)` Creates V1Configuration object
    `V1Configuration(V1Connector connector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCapacityPlanning()` Gets capacity planning setting.
    `IV1Configuration.TrackingLevel` | `getDefectTrackingLevel()` Gets level of Defect tracking.
    `int` | `getMaxAttachmentSize()` Gets maximum size of attachment file.
    `IV1Configuration.TrackingLevel` | `getStoryTrackingLevel()` Gets level of Story tracking.
    `boolean` | `isEffortTracking()` Gets EffortTracking

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V1Configuration

          public V1Configuration(IAPIConnector connector)

      Creates V1Configuration object
      Parameters:
        `connector` - used to access to VersionOne server

    - #### V1Configuration

          public V1Configuration(V1Connector connector)

  - ### Method Detail

    - #### isEffortTracking

          public boolean isEffortTracking()
                                   throws ConnectionException,
                                          APIException

      Gets EffortTracking
      Specified by:
        `isEffortTracking` in interface `IV1Configuration`
      Returns:
        `true` if EffortTracking is enabled, `false` - otherwise.
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getStoryTrackingLevel

          public IV1Configuration.TrackingLevel getStoryTrackingLevel()
                                                               throws ConnectionException,
                                                                      APIException

      Gets level of Story tracking.
      Specified by:
        `getStoryTrackingLevel` in interface `IV1Configuration`
      Returns:
        Story tracking level
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getDefectTrackingLevel

          public IV1Configuration.TrackingLevel getDefectTrackingLevel()
                                                                throws ConnectionException,
                                                                       APIException

      Gets level of Defect tracking.
      Specified by:
        `getDefectTrackingLevel` in interface `IV1Configuration`
      Returns:
        Defect tracking level
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getMaxAttachmentSize

          public int getMaxAttachmentSize()
                                   throws ConnectionException,
                                          APIException

      Gets maximum size of attachment file.
      Specified by:
        `getMaxAttachmentSize` in interface `IV1Configuration`
      Returns:
        maximum size
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getCapacityPlanning

          public String getCapacityPlanning()
                                     throws ConnectionException,
                                            APIException

      Gets capacity planning setting.
      Returns:
        String Capacity planning setting
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

Copyright © 2016 VersionOne, Inc.. All rights reserved.